

\begin{fdflogicalF}{NeglNonOverlapInt}

    Logical variable to neglect or compute interactions between orbitals
    which do not overlap. These come from the KB projectors.  Neglecting
    them makes the Hamiltonian more sparse, and the calculation faster.
  
    \note Use with care!
  
  \end{fdflogicalF}
  
  \begin{fdflogicalF}{SCF!Write.Extra}
    \index{output!Hamiltonian \& overlap}
  
    Instructs \siesta\ to write out a variety of files with the
    Hamiltonian and density matrix.
  
    The output depends on whether a Hamiltonian mixing or density
    matrix mixing is performed (see \fdf{SCF!Mixing}).
  
    These files are created
    \begin{itemize}
      \item \file{H\_MIXED}; the Hamiltonian after
      mixing
  
      \item \file{DM\_OUT}; the density matrix as calculated by the
      current iteration
  
      \item \file{H\_DMGEN}; the Hamiltonian used to calculate the
      density matrix
  
      \item \file{DM\_MIXED}; the density matrix after mixing
  
    \end{itemize}
  
  \end{fdflogicalF}
  
  
  \begin{fdflogicalT}{SaveHS}
    \index{output!Hamiltonian \& overlap}
  
    Instructs to write the Hamiltonian and overlap matrices, as well as
    other data required to generate bands and density of states, in file
    \sysfile{HSX}. The \sysfile*{HSX} format is more compact than the
    traditional \sysfile*{HS}, and the Hamiltonian, overlap matrix, and
    relative-positions array (which is always output, even for
    gamma-point only calculations) are in single precision.
  
    The program \program{hsx2hs} in \program{Util/HSX} can be used to
    generate an old-style \sysfile*{HS} file if needed.
  
    \siesta\ produces also an \sysfile*{HSX} file if the \fdf{COOP.Write} option
    is active.  \index{output!HSX file}
  
  
    \note Since 5.0 the \sysfile{HSX} file format has changed to reduce
    disk-space and store data in double precision. This means that the
    file is not backward compatible and any external utilities should
    adapt their \sysfile{HSX} file reading. See e.g. \program{Util/HSX}
    for details on the new implementation.
  
    See also the \fdf{Write!DMHS.NetCDF} and \fdf{Write!DMHS.History.NetCDF}
    options.
  
  \end{fdflogicalT}
  
  \subsubsection{The auxiliary supercell}
  
  When using k-points, this auxiliary supercell is needed to compute properly
  the matrix elements involving orbitals in different unit cells.
  It is computed automatically by the program at every geometry step.
  
  Note that for gamma-point-only calculations there is an implicit
  ``folding'' of matrix elements corresponding to the images of orbitals
  outside the unit cell. If information about the specific values of
  these matrix elements is needed (as for COOP/COHP analysis), one has
  to make sure that the unit cell is large enough, or force the use
  of an aunxiliary supercell.
  \index{COOP/COHP curves!Folding in Gamma-point calculations}
  
  \begin{fdflogicalF}{ForceAuxCell}
  
  If \fdftrue, the program uses an auxiliary cell even for gamma-point-only
  calculations. This might be needed for COOP/COHP calculations, as
  noted above, \index{COOP/COHP curves!Folding in Gamma-point
    calculations} or in degenerate cases, such as when the cell is so
  small that a given orbital ``self-interacts'' with its own images (via
  direct overlap or through a KB projector). In this case, the diagonal
  value of the overlap matrix S for this orbital is different from 1, and an
  initialization of the DM via atomic data would be faulty. The
  program corrects the problem to zeroth-order by dividing the DM value
  by the corresponding overlap matrix entry, but the initial charge
  density would exhibit distortions from a true atomic superposition
  (See routine \file{m\_new\_dm.F}). The distortion of the charge density
  is a serious problem for Harris functional calculations, so this
  option must be enabled for them if self-folding is present. (Note that
  this should not happen in any serious calculation...)
  
  \end{fdflogicalF}
    